POMDP Solver

Public Member Functions | Public Attributes | List of all members
pomdp_solver.PMC Class Reference

Class to explire and export a pMC model. More...

## Public Member Functions
def | __init__ (self, model)
| The constuctor.
def | instantiate_parameters (self, parameter_values)
| Instantiate a pMC. More...
def | inspect_model (self)
| Inspect model for invalid or missing components.
def | has_transition_matrix (self)
| Check if the pMC model has a transition matrix. More...
def | has_state_labels (self)
| Check if the pMC model has a state labels. More...
def | has_reward_model (self)
| Check if the pMC model has a reward model. More...
def | has_parameters (self)
| Check if the pMC model has uninstantiated parameters. More...
def | get_model_type (self)
| Get the pMC model type. More...
def | get_states (self)
| Get the states of the pMC model. More...
def | get_nr_states (self)
| Get the number of states in the pMC model. More...
def | get_state_labels (self)
| Get the state labels of the pMC model. More...
def | get_reward_models (self)
| Get the reward model of the pMC model. More...
def | print_model_type (self)
| Print the model type.
def | print_nr_states (self)
| Print the number of states.
def | print_actions (self)
| Print the actions.
def | print_transitions (self)
| Print the transitions of the model.
def | print_rewards (self)
| Print the reward model.
def | print_state_reward (self, reward)
| Print the state rewards.
def | print_state_action_reward (self, reward)
| Print the state action rewards.
def | export_to_drn (self, file)
| Export the pMC model to a DRN format file.

## Public Attributes
| model
| The pMC model. More...
| nr_parameters
| Number of parameters of the pMC model.

## Detailed Description

Class to explire and export a pMC model.

Takes a pMC model as an argument that is returned by the buil_pmc function of the POMDP class.

## Member Function Documentation

## ◆ get_model_type()

def pomdp_solver.PMC.get_model_type | ( |  | self | ) |

Get the pMC model type.

Returns
  Model type.

## ◆ get_nr_states()

def pomdp_solver.PMC.get_nr_states | ( |  | self | ) |

Get the number of states in the pMC model.

Returns
  Number of states.

## ◆ get_reward_models()

def pomdp_solver.PMC.get_reward_models | ( |  | self | ) |

Get the reward model of the pMC model.

Returns
  reward model.

## ◆ get_state_labels()

def pomdp_solver.PMC.get_state_labels | ( |  | self | ) |

Get the state labels of the pMC model.

Returns
  List of state labels.

## ◆ get_states()

def pomdp_solver.PMC.get_states | ( |  | self | ) |

Get the states of the pMC model.

Returns
  List of states.

## ◆ has_parameters()

def pomdp_solver.PMC.has_parameters | ( |  | self | ) |

Check if the pMC model has uninstantiated parameters.

Returns
  Boolean.

## ◆ has_reward_model()

def pomdp_solver.PMC.has_reward_model | ( |  | self | ) |

Check if the pMC model has a reward model.

Returns
  Boolean.

## ◆ has_state_labels()

def pomdp_solver.PMC.has_state_labels | ( |  | self | ) |

Check if the pMC model has a state labels.

Returns
  Boolean.

## ◆ has_transition_matrix()

def pomdp_solver.PMC.has_transition_matrix | ( |  | self | ) |

Check if the pMC model has a transition matrix.

Returns
  Boolean.

## ◆ instantiate_parameters()

def pomdp_solver.PMC.instantiate_parameters | ( |  | self,
|  |  | parameter_values
| ) |  |

Instantiate a pMC.

Parameters

  parameter_values | List of values to instantiate parameters.

## Member Data Documentation

## ◆ model

pomdp_solver.PMC.model

The pMC model.

Collect the parameters.

Check if the number of parameters equals the number of values.

Create a dictionary of parameters to values

Instatiate the model

The documentation for this class was generated from the following file:

- src/pomdp_solver.py